package com.flyer.foster.controller;

import com.flyer.foster.service.IWorldMapService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 世界地图
 *
 * @author flyer
 * @since 2024-05-18
 */
@RestController
@RequestMapping("/admin/world-map")
public class WorldMapController {
    @Autowired
    private IWorldMapService iWorldMapService;

    /**
     * 获取世界地图列表
     *
     * @return
     */
    @GetMapping("/list")
    public R getList() {
        return R.ok().result(iWorldMapService.list());
    }
}
