package com.flyer.foster.dto;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * CartoonRespDTO
 *
 * @author kelei
 * @since 2024/5/25/14:41
 */
@Data
public class CartoonRespDTO {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 漫画名称
     */
    private String name;

    /**
     * 状态-{0.不可用 1.可用}
     */
    private Integer status;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private String createdTime;

    private List<String> cartoonUrlList = new ArrayList<>();
}
