package com.flyer.foster.mapper;

import com.flyer.foster.dto.app.AppScoreAddDTO;
import com.flyer.foster.dto.app.AppScoreRespDTO;
import com.flyer.foster.entity.Score;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 小程序用户积分 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-18
 */
public interface IScoreMapper extends BaseMapper<Score> {

    /**
     * 是否
     * @param addDTO
     * @return
     */
     AppScoreRespDTO isExist(@Param("queryDTO") AppScoreAddDTO addDTO);
}
