package com.flyer.foster.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flyer.foster.dto.app.AppTreePosterContentAddDTO;
import com.flyer.foster.dto.app.AppTreePosterContentQueryDTO;
import com.flyer.foster.dto.app.AppTreePosterContentRespDTO;
import com.flyer.foster.dto.app.AppTreePosterContentUpdateDTO;
import com.flyer.foster.entity.TreePosterContent;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 果树海报悄悄话 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface ITreePosterContentService extends IService<TreePosterContent> {

    AppTreePosterContentRespDTO addTreePosterContent(AppTreePosterContentAddDTO addDTO);

    boolean updateTreePosterContent(Integer treePosterContentId, AppTreePosterContentUpdateDTO updateDTO);

    IPage<AppTreePosterContentRespDTO> getPageList(IPage<TreePosterContent> page, AppTreePosterContentQueryDTO queryDTO);

    List<AppTreePosterContentRespDTO> getList(AppTreePosterContentQueryDTO queryDTO);
}
