package com.flyer.foster.dto.app;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * FosterRecordAddDTO
 *
 * @author kelei
 * @since 2024/5/13/13:50
 */
@Data
public class AppFosterRecordRespDTO {
    private Integer id;

    /**
     * 小程序用户id
     */
    private Integer appUserId;

    /**
     * 用户名
     */
    private String appUserName;

    /**
     * 果园id
     */
    private Integer gardenId;

    /**
     * 果园名
     */
    private String gardenName;

    /**
     * 领养树id
     */
    private Integer treeId;

    /**
     * 飞鸟看园树id
     */
    private Integer birdseyeTreeId;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

}
