package com.flyer.foster.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.flyer.foster.dto.app.AppFosterRecordQueryDTO;
import com.flyer.foster.dto.app.AppFosterRecordRespDTO;
import com.flyer.foster.entity.FosterRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * <p>
 * 领养记录 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface IFosterRecordMapper extends BaseMapper<FosterRecord> {

    IPage<AppFosterRecordRespDTO> getPageList(Page<AppFosterRecordRespDTO> page, AppFosterRecordQueryDTO queryDTO);
}
